textures/eagle/sw_railing_idrc
{
	qer_editor_image textures/eagle/sw_railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
        surfaceparm nonsolid
	nopicmip
	cull disable
	
	{
		map textures/eagle/sw_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/pad_gfx02b/cweb_m01a_idrc //cobweb for lighter areas
{
    //For the preservation of this shader

    //removelightmap info
    surfaceparm nolightmap //unremarked this
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/pad_gfx02b/cweb_m01a_idrc.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/pad_gfx02b/cweb_m01drk_idrc //cobweb
{
    //For the preservation of this shader
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/pad_gfx02b/cweb_m01drk_idrc.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/pad_liquidfx/water_calm2_idrc
{
		qer_editorimage textures/pad_liquidfx/wat02.tga
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable

                fogparms ( .1 .23 .14 ) 4096

{ 
		
		map textures/pad_liquidfx/wat02.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	
{ 
		map textures/pad_liquidfx/wat03.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

{ 
		map textures/pad_liquidfx/wat02.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	
{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/pad_liquidfx/water_calm5_idrc //Water in use
{
		qer_editorimage textures/pad_liquidfx/wat05.tga               

		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

                //surfaceparm nolightmap
                                
		cull disable

                fogparms ( .1 .23 .14 ) 4096

{ 
		
		map textures/pad_liquidfx/wat05.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	
{ 
		map textures/pad_liquidfx/wat03.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

{ 
		map textures/pad_liquidfx/wat05.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	
{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/camera_textures/tvscreen //Secret area tv displays
{
	qer_editorimage textures/camera_textures/monitor.tga
	q3map_lightimage textures/camera_textures/monitor_colour.tga
	q3map_surfacelight 1200
        
	portal
	{
		map textures/camera_textures/monitor_colour.tga
		blendFunc filter
		depthWrite
	}
	{
		map textures/camera_textures/monitor_colour.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}
	{
		map textures/camera_textures/monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/camera_textures/tvscreen_idrc //One-way spawn exits with mirror-like effect
{
	qer_editorimage textures/camera_textures/monitor.tga
	q3map_lightimage textures/camera_textures/monitor_colour.tga
	q3map_surfacelight 1000
        
        qer_trans 0.5

	portal
	{
		map textures/camera_textures/monitor_colour.tga
		blendFunc filter
		depthWrite
	}
	{
		map textures/camera_textures/monitor_colour.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 512
		rgbGen identityLighting	
	}
	{
		map textures/camera_textures/monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/IDRC/kzoo_cat //Poster decal
{
       qer_editorimage textures/IDRC/kalamazoo's_cat.tga
       qer_trans 0.5
       surfaceparm nonsolid
       surfaceparm alphashadow
       polygonOffset
       sort 6
       {
               map textures/IDRC/kalamazoo's_cat.tga
               blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
               depthWrite
               rgbGen identity
       }
}

textures/IDRC/corners //Poster decal
{
       qer_editorimage textures/IDRC/corners.tga
       qer_trans 0.5
       surfaceparm nonsolid
       surfaceparm alphashadow
       polygonOffset
       sort 6
       {
               map textures/IDRC/corners.tga
               blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
               depthWrite
               rgbGen identity
       }
}

textures/IDRC/dano_cat //Poster decal
{
       qer_editorimage textures/IDRC/dano_cat.tga
       qer_trans 0.5
       surfaceparm nonsolid
       surfaceparm alphashadow
       polygonOffset
       sort 6
       {
               map textures/IDRC/dano_cat.tga
               blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
               depthWrite
               rgbGen identity
       }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/glass/darkglass_idrc //for red's exclusive rampart access doors
{
        qer_trans 0.5
        surfaceparm trans
	surfaceparm solid
	surfaceparm glass
        surfaceparm noimpact

        //cull disable
        {
               map textures/pad_gfx/glass2_normal.jpg
               tcgen environment
               blendfunc gl_one gl_one
               rgbGen identity
        }
        {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
        }
}


//      No fall damage version shaders

textures/ut_prague/rc_wall10_base_dirty_top_nodmg
{
qer_editorimage textures/ut_prague/rc_wall10_base_dirty_top.tga
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_prague/rc_wall10_base_dirty_top.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_rustedmetal1_nodmg
{
qer_editorimage textures/eagle/sw_rustedmetal1.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_rustedmetal1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_road1_nodmg
{
qer_editorimage textures/eagle/sw_road1.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_road1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_wood4a_nodmg
{
qer_editorimage textures/eagle/sw_wood4a.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_wood4a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_shipcontainer01_side_nodmg
{
qer_editorimage textures/eagle/sw_shipcontainer01_side.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_shipcontainer01_side.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_shipcontainer01_top_nodmg
{
qer_editorimage textures/eagle/sw_shipcontainer01_top.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_shipcontainer01_top.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_shipcontainer01_front_nodmg
{
qer_editorimage textures/eagle/sw_shipcontainer01_front.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_shipcontainer01_front.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_box8_nodmg
{
qer_editorimage textures/eagle/sw_box8.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_box8.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_stonewall8_nodmg
{
qer_editorimage textures/eagle/sw_stonewall8.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_stonewall8.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/rock_phong1_nodmg
{
	q3map_nonplanar
	q3map_shadeangle 90
	qer_editorimage textures/eagle/rock_phong.tga
        
        surfaceparm damage
       
	{
	map $lightmap
	rgbGen identity
	}
	{
	map textures/eagle/rock_phong.tga
	blendFunc filter
	}
}

textures/eagle/sw_wood21_nodmg
{
qer_editorimage textures/eagle/sw_wood21.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_wood21.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/carpet4_nodmg
{
qer_editorimage textures/eagle/carpet4.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/carpet4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_shingle_roof3_nodmg
{
qer_editorimage textures/eagle/sw_shingle_roof3.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_shingle_roof3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_wall11_nodmg
{
qer_editorimage textures/eagle/sw_wall11.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_wall11.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_wall2_nodmg
{
qer_editorimage textures/eagle/sw_wall2.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_wall2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/eagle/sw_bbqcrate1_nodmg
{
qer_editorimage textures/eagle/sw_bbqcrate1.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_bbqcrate1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/concrecret_dark_nodmg
{
qer_editorimage textures/eagle/concrecret_dark.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/concrecret_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_stonefloor2_nodmg
{
qer_editorimage textures/eagle/sw_stonefloor2.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_stonefloor2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_stonewall1_nodmg
{
qer_editorimage textures/eagle/sw_stonewall1.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_stonewall1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_wood_f_nodmg
{
qer_editorimage textures/eagle/sw_wood_f.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_wood_f.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_metal_nodmg
{
qer_editorimage textures/eagle/sw_metal.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_metal.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_patch11_nodmg
{
qer_editorimage textures/eagle/sw_patch11.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_patch11.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_shingle_roof2_nodmg
{
qer_editorimage textures/eagle/sw_shingle_roof2.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_shingle_roof2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_whitefence2_nodmg
{
qer_editorimage textures/eagle/sw_whitefence2.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_whitefence2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_tracks_top_nodmg
{
qer_editorimage textures/eagle/sw_tracks_top.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_tracks_top.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_trackbase_nodmg
{
qer_editorimage textures/eagle/sw_trackbase.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_trackbase.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_greytr_end_nodmg
{
qer_editorimage textures/eagle/sw_greytr_end.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_greytr_end.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_greytr_top_nodmg
{
qer_editorimage textures/eagle/sw_greytr_top.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_greytr_top.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_greytr_2_nodmg
{
qer_editorimage textures/eagle/sw_greytr_2.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_greytr_2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_greytr_1_nodmg
{
qer_editorimage textures/eagle/sw_greytr_1.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_greytr_1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_tracksleepers_nodmg
{
qer_editorimage textures/eagle/sw_tracksleepers.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_tracksleepers.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_tracksleepers_detail_nodmg
{
	qer_editor_image textures/eagle/sw_tracksleepers_detail.jpg
	//qer_trans 0.40
	cull none
	polygonoffset	
	sort banner
	{
		map textures/eagle/sw_tracksleepers_detail.jpg
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/eagle/sw_barrelq32_nodmg
{
qer_editorimage textures/eagle/sw_barrelq32.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_barrelq32.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_greytr_mid_nodmg
{
qer_editorimage textures/eagle/sw_greytr_mid.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_greytr_mid.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_graywood_nodmg
{
qer_editorimage textures/eagle/sw_graywood.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_graywood.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/urban_terror5/fs_box6_top1_nodmg
{
qer_editorimage textures/urban_terror5/fs_box6_top1.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/urban_terror5/fs_box6_top1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/kubelwagen/kubel_green_nodmg
{
qer_editorimage textures/kubelwagen/kubel_green.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kubelwagen/kubel_green.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/kubelwagen/kubel_panel_nodmg
{
qer_editorimage textures/kubelwagen/kubel_panel.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kubelwagen/kubel_panel.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/kubelwagen/kubel_panel_door_nodmg
{
qer_editorimage textures/kubelwagen/kubel_panel_door.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kubelwagen/kubel_panel_door.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/kubelwagen/kubel_dark_nodmg
{
qer_editorimage textures/kubelwagen/kubel_dark.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/kubelwagen/kubel_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/eagle/sw_road3_nodmg
{
qer_editorimage textures/eagle/sw_road3.jpg
surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/eagle/sw_road3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}